FanslyVault
Create Vault Album
Create a new vault album. Both title and description are optional — Fansly names an untitled album for you.
Authorization
default AuthorizationBearer <token>
Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys
In: header
Path Parameters
fanslyAccount*string
The Fansly Account ID
Request Body
application/json
title?string
The name of the album.
description?string
A description for the album.
Response Body
application/json
curl -X POST "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/vault/albums" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"accountId": "800000000000000001",
"title": "Summer 2026",
"description": "Beach shoot outtakes",
"pos": 4,
"id": "300000000000000004"
},
"_meta": {
"_credits": {
"used": 1,
"balance": 10055790,
"note": "Always"
},
"_cache": {
"is_cached": false,
"note": "Cache disabled for this endpoint"
},
"_rate_limits": {
"limit_minute": 5000,
"limit_day": null,
"remaining_minute": 4999,
"remaining_day": null,
"notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
}
}
}